# Managing Trusts

Trilio is using the [Openstack Keystone Trust system](https://wiki.openstack.org/wiki/Keystone/Trusts) which enables the Trilio service user to act in the name of another Openstack user.

This system is used during all backup and restore features.

{% hint style="danger" %}
Openstack Administrators should never have the need to directly work with the trusts created.

The cloud-trust is created during the Trilio configuration and further trusts are created as necessary upon creating or modifying a workload.
{% endhint %}

Trusts can only be worked with via CLI

## List all trusts

```
workloadmgr trust-list
```

## Show a trust

```
workloadmgr trust-show <trust_id>
```

* \<trust\_id> :arrow\_right: ID of the trust to show

## Create a trust

```
workloadmgr trust-create [--is_cloud_trust {True,False}] <role_name>
```

* `<role_name>` :arrow\_right:Name of the role that trust is created for
* `--is_cloud_trust {True,False}` :arrow\_right: Set to true if creating cloud admin trust. While creating cloud trust use same user and tenant which used to configure Trilio and keep the role admin.

## Delete a trust

```
workloadmgr trust-delete <trust_id>
```

* `<trust_id>` :arrow\_right: ID of the trust to be deleted


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trilio.io/openstack/t4o-5.x/admin-guide/managing-trusts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
